<game-list>
    <ul class="mdl-list">
        <li each={game in games} class="mdl-list__item mdl-list__item--two-line">
            <span class="mdl-list__item-primary-content">
                {game.playerWord.charAt(0).toUpperCase() + game.playerWord.slice(1)}
                <span class="mdl-list__item-sub-title">
                    <small>{game.statusText}, started { moment(game.created).fromNow() }</small>
                </span>
            </span>
            <span class="mdl-list__item-secondary-content">
                <span class="mdl-list__item-secondary-action">
                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-button--colored"
                            onclick={handleGameSelection(game.id)}><i class="material-icons">arrow_forward</i></button>
                </span>
            </span>
        </li>
    </ul>
    <script>
        let games = [];
        this.on('mount', function() {
            getAllGames()
                .then((games) => {
                    this.games = games.reverse();
                    this.update();
                })
                .catch((e) => {
                    console.error(e);
                })
        });

        handleGameSelection = (gameId) => {
            return () => {
                route(`/${gameId}`);
            }
        }
    </script>
</game-list>